Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1728018

[PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

From naresh.kamboju@linaro.org
Newsgroups linux.kernel
Subject [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device
Date 2017-09-07 10:20 +0200
Message-ID <un0cy-5P7-5@gated-at.bofh.it> (permalink)
References <un0cy-5P7-3@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


From: Naresh Kamboju <naresh.kamboju@linaro.org>

on ARM and ARM64 devices kernel source tree is not available so
insmod "$SRC_TREE/lib/test_bpf.ko" is not working.

on these target devices the test_bpf.ko is installed under
/lib/modules/`uname -r`/kernel/lib/
so use modprobe dry run to check for missing test_bpf.ko module and
insert for testing.

Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
---
 tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index a53eb1cb54ef..eab9a970d742 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -14,6 +14,16 @@ test_run()
 		if [ $? -ne 0 ]; then
 			rc=1
 		fi
+	 else
+		# Use modprobe dry run to check for missing test_bpf module
+		if ! /sbin/modprobe -q -n test_bpf; then
+			echo "test_bpf: [SKIP]"
+		elif /sbin/modprobe -q test_bpf; then
+			echo "test_bpf: ok"
+		else
+			echo "test_bpf: [FAIL]"
+			rc=1
+		fi
 	fi
 	rmmod  test_bpf 2> /dev/null
 	dmesg | grep FAIL
-- 
2.13.0

Back to linux.kernel | Previous | Next — Previous in thread | Next in thread | Find similar | Unroll thread


Thread

[PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
  [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
    Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on  target device Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:30 +0200
  Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module  is present in the path before insert Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:20 +0200

csiph-web